<!DOCTYPE html>
<html lang="en" th:lang="${#locale.language}" th:fragment="masterpage(links, body, scripts)" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_ICONS_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_RANGE_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SCRUMIFY_CSS}}"></link>
<link rel="icon" type="image/x-icon" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).IMAGE_FAVORITE_ICON}}" />
<th:block th:replace="${links}" />
</head>
<body>
  <div class="ui inverted fixed menu" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
    <div class="ui container">
      <a class="header icon item" id="sidebar-menu" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></a>
      <div class="ui item simple dropdown right custom-header" sec:authorize="isAuthenticated()">
        <div class="text">
          <div class="ui relaxed small list">
            <div class="item">
              <img class="ui avatar image resource-logo" th:src="@{${#authentication.principal.resource.avatar.image}}" alt="avatar"/>
              <div class="content">
                <label class="header" th:text="${#authentication.principal.resource.name}"></label>
                <div class="description" th:text="${#authentication.principal.resource.profile.name}"></div>
              </div>
            </div>
          </div>
        </div>
        <i class="dropdown icon"></i>
        <div class="menu">
          <a class="header item right" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_RESOURCES_CHANGEPIN}}">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHANGEPIN}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_RESOURCES_CHANGEPIN}}"></span>
          </a>
          <a class="header item right" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_RESOURCES_PERSONALDATA}}" sec:authorize="principal.resource.lastPasswordChange != null">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PERSONALDATA}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_RESOURCES_PERSONALDATA}}"></span>
          </a>
          <div class="header item right" th:if="${#authentication.principal.resource.profile.impersonable == true}">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_IMPERSONATE}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_IMPERSONATE}}"></span>
            <div class="menu">
              <a class="header item " th:each="item : ${#authentication.principal.resources}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_IMPERSONATE + '/' + item.id}}" th:text="${item.name}"></a>
            </div>
          </div>
          <div class="header item right">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TEAMS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}"></span>
            <div class="menu">
              <a class="header item right" th:each="item : ${#authentication.principal.teams}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTEXT_TEAMS + '/' + item.id}}">
                <span th:text="${item.name}"></span>
                <i class="angle left icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${item.id == #authentication.principal?.team?.id}"></i>
              </a>
            </div>
          </div>
          <a class="header item right" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_LOGOUT}}">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_IMPERSONATE}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LOGOUT}}"></span>
          </a>
        </div>
      </div>
      <a class="header item right" sec:authorize="isAnonymous()" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SIGNUP}}">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SIGNUP}"></i>
        &nbsp;
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_RESOURCES_SIGNUP}}"></span>
      </a>
    </div>
  </div>
  <div class="ui vertical inverted fixed sidebar menu" id="sidebar" sec:authorize="isAuthenticated()">
    <div>
      <a th:class="item" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ROOT}}">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_HOME}"></i>
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOMEPAGE}}"></span>
      </a>
      <th:block th:each="item : ${#authentication.principal.menu}">
        <div class="menu" th:if="${item.subMenu}">
          <a th:class="${item.css}" th:href="@{${item.href}}">
            <i th:if="${item.icon != null}" th:class="${item.icon}"></i>
            <span th:text="#{${item.name}}"></span>
          </a>
        </div>
        <div th:class="${item.css}" th:if="${!item.subMenu and item.href == null}">
          <i th:if="${item.icon != null}" th:class="${item.icon}"></i>
          <span th:text="#{${item.name}}"></span>
        </div>
        <a th:class="${item.css}" th:href="@{${item.href}}" th:if="${!item.subMenu and item.href != null}">
          <i th:if="${item.icon != null}" th:class="${item.icon}"></i>
          <span th:text="#{${item.name}}"></span>
        </a>
      </th:block>
      <a th:class="item" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_LOGOUT}}">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_LOGOUT}"></i>
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LOGOUT}}"></span>
      </a>
    </div>
  </div>
  <div class="pusher" th:remove="${#authorization.expression('isAnonymous()')} ? tag">
    <th:block th:replace="${body}" />
    <footer class="ui vertical footer inverted segment">
      <div class="ui center aligned middle aligned container">
        <div class="ui inverted horizontal small divided link list">
          <a class="item" href="#">
            <img alt="logotipo" class="ui centered mini image" th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).IMAGE_LOGO_SMALL}}"/>
          </a>
          <a class="item" href="#">
            <span th:utext="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COPYRIGHT}(${#dates.format(#dates.createNow(), 'yyyy')})}"></span>
            <span th:text="${' - v' + @environment.getProperty(T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_BUILD_VERSION)}"></span>
          </a>
        </div>
      </div>
    </footer>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_RANGE_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SCRUMIFY_JS}}"></script>
  <th:block th:replace="${scripts}" />
</body>
</html>